poldek: poldek/install3/install.c, poldek/tests/sh/07-depsolver - testcase ...

mis mis at pld-linux.org
Mon May 12 00:26:34 CEST 2008


Author: mis                          Date: Sun May 11 22:26:34 2008 GMT
Module: poldek                        Tag: HEAD
---- Log message:
- testcase for #83

---- Files affected:
poldek/poldek/install3:
   install.c (1.3 -> 1.4) 
poldek/poldek/tests/sh:
   07-depsolver (1.5 -> 1.6) 

---- Diffs:

================================================================
Index: poldek/poldek/install3/install.c
diff -u poldek/poldek/install3/install.c:1.3 poldek/poldek/install3/install.c:1.4
--- poldek/poldek/install3/install.c:1.3	Mon May 12 00:04:56 2008
+++ poldek/poldek/install3/install.c	Mon May 12 00:26:29 2008
@@ -314,6 +314,9 @@
     /* so JUSTPRINTs */
     else if (ts->getop_v(ts, POLDEK_OP_JUSTPRINT, POLDEK_OP_JUSTPRINT_N, 0))
         ts->setop(ts, POLDEK_OP_PARTICLE, 0);
+
+    if (poldek__is_in_testing_mode())
+        ts->setop(ts, POLDEK_OP_PARTICLE, 1);
     
     i3ctx_init(&ictx, ts);
     

================================================================
Index: poldek/poldek/tests/sh/07-depsolver
diff -u poldek/poldek/tests/sh/07-depsolver:1.5 poldek/poldek/tests/sh/07-depsolver:1.6
--- poldek/poldek/tests/sh/07-depsolver:1.5	Sun May 11 23:02:41 2008
+++ poldek/poldek/tests/sh/07-depsolver	Mon May 12 00:26:29 2008
@@ -18,17 +18,19 @@
     rm -rf $ORIGREPO/*
 
     REPO="$ORIGREPO/src"
+    REPO2="$ORIGREPO/src2"
     DESTINATION_REPO="$ORIGREPO/dest";
 
     rm -rf $REPO $DESTINATION_REPO
     
     mkdir -p $REPO || fail "mkdir $REPO failed"
+    mkdir -p $REPO2 || fail "mkdir $REPO2 failed"
     mkdir -p $DESTINATION_REPO || fail "mkdir $DESTINATION_REPO failed"
     # provide /bin/sh auto requirement
     build_installed sh -p /bin/sh
 
     POLDEK_INSTALL="$POLDEK_NOCONF -Odependency_solver=$DEPENDENCY_SOLVER --noask"
-    POLDEK_INSTALL="$POLDEK_INSTALL --st dir -s $REPO --dt dir --destination $DESTINATION_REPO"
+    POLDEK_INSTALL="$POLDEK_INSTALL --st dir -s $REPO --st dir -s $REPO2 --dt dir --destination $DESTINATION_REPO"
 }
 
 
@@ -62,6 +64,10 @@
    do_build_package $REPO $@
 }
 
+build2() {
+   do_build_package $REPO2 $@
+}
+
 build_installed() {
    do_build_package $DESTINATION_REPO $@
 }
@@ -251,7 +257,6 @@
     try_install a "a,a-devel,a-static,bar" "a,a-devel,a-static,foo"
 }
 
-
 testUpgradeMultilib() {
     ORIG_POLDEK_INSTALL="$POLDEK_INSTALL"
     POLDEK_INSTALL="$POLDEK_INSTALL -Omultilib=1"
@@ -288,6 +293,26 @@
     POLDEK_INSTALL="$ORIG_POLDEK_INSTALL"
 }
 
+# https://bugs.pld-linux.org/show_bug.cgi?id=83
+testUpgradeMultilibOneTransactionForSamePackagesDifferentSource() {
+    ORIG_POLDEK_INSTALL="$POLDEK_INSTALL"
+    POLDEK_INSTALL="$POLDEK_INSTALL -Omultilib=1"
+
+    msgn "Preparing repositories..."
+    for i in i686 x86-64; do 
+        build_installed FooBar 1-1 -a $i -f "/hello.$i" -f "/README"
+    done    
+    build  FooBar 2-2 -a i686 -f "/hello.i686" -f "/README"
+    build2 FooBar 2-2 -a x86-64 -f "/hello.x86-64" -f "/README"
+
+    msgn "Up"
+    try_install FooBar "FooBar-2-2.i686,FooBar-2-2.x86-64" "FooBar-1-1.i686,FooBar-1-1.x86-64" 
+    
+    #"a-2-2.x86-64" "a-1-1.x86-64"
+    POLDEK_INSTALL="$ORIG_POLDEK_INSTALL"
+}
+
+
 buildUpgradeOrphanRepos() {
     build_installed a-foo -r "'a-lib = 1'" -p "FOO"
     build_installed a-lib
================================================================

---- CVS-web:
    http://cvs.pld-linux.org/cgi-bin/cvsweb.cgi/poldek/poldek/install3/install.c?r1=1.3&r2=1.4&f=u
    http://cvs.pld-linux.org/cgi-bin/cvsweb.cgi/poldek/poldek/tests/sh/07-depsolver?r1=1.5&r2=1.6&f=u



More information about the pld-cvs-commit mailing list